#ifndef _MENU_H_
#define _MENU_H_

#include <vector>
#include <algorithm>
#include <iostream>
#include <string>
#include <fstream>
#include "juego.h"
#include "challenges.h"
#include "datos.h"
#include "tutorial.h"

using namespace std;

struct posicionTop
{
	char nick[4];
	int puntuacion;
};

class Menu
{
	public:
		Menu();
		~Menu();
		int ejecutar();
		void hallOfFame();
	private:
		vector<posicionTop> posiciones;
		Juego juego;
		Datos datos;
		Tutorial tutorial;
		Challenges challenges;
};

#endif
